--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Validate whether a field is numeric
- !ruby/struct:SM::Flow::P 
  body: "@details"
- !ruby/struct:SM::Flow::P 
  body: "Options are:"
- !ruby/struct:SM::Flow::P 
  body: ":message =&gt; &quot;Error message for %s&quot;"
- !ruby/struct:SM::Flow::VERB 
  body: "  Custom error message, also can be a callable object that takes\n  an object (for pure Ruby objects) or object and property (for DM resources)\n"
- !ruby/struct:SM::Flow::P 
  body: ":precision =&gt; 2"
- !ruby/struct:SM::Flow::VERB 
  body: "  Required precision of a value\n"
- !ruby/struct:SM::Flow::P 
  body: ":scale =&gt; 2"
- !ruby/struct:SM::Flow::VERB 
  body: "  Required scale of a value\n"
- !ruby/struct:SM::Flow::P 
  body: ":gte =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Greater than or greater' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":lte =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Less than or greater' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":lt =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Less than' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":gt =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Greater than' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":eq =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Equal' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":ne =&gt; 5.75"
- !ruby/struct:SM::Flow::VERB 
  body: "  'Not equal' requirement\n"
- !ruby/struct:SM::Flow::P 
  body: ":integer_only =&gt; true"
- !ruby/struct:SM::Flow::VERB 
  body: "  Use to restrict allowed values to integers\n"
full_name: DataMapper::Validate::ValidatesIsNumber#validates_is_number
is_singleton: false
name: validates_is_number
params: (*fields)
visibility: public
